LARAVEL_APP_KEY_FILE_PATH="$(readlink -f $(dirname "${BASH_SOURCE[0]}"))/data/laravel-app-key.txt"

if [[ -f "${LARAVEL_APP_KEY_FILE_PATH}" ]]; then
  # мы удаляем newlines/carriage-returns из вывода, из-за чего laravel не может проанализировать APP_KEY.
  # они могут быть введены пользователями, случайно редактирующими файл.
  export APP_KEY=$(cat "${LARAVEL_APP_KEY_FILE_PATH}" | tr -d '\r\n')
fi